## wap-wml-tools 0.0.4

=== rdfwml/Makefile ===
SRC = rdfwml.c

all: rdfwml rdfwml.cgi

re: clean all

rdfwml:
	$(CC) $(CC_OPS) $(XML_CC_OPS) -o rdfwml $(SRC) $(LD_OPS) $(XML_LD_OPS)

rdfwml.cgi:
	$(CC) $(CC_OPS) $(XML_CC_OPS) -DCGI_BIN -o rdfwml.cgi $(SRC) $(LD_OPS) $(XML_LD_OPS)

clean:
	rm -f *.o rdfwml rdfwml.cgi *~

=== wbmp/Makefile ===
SRC = wbmp2xpm.c

all: wbmp2xpm

re: clean all

wbmp2xpm:
	$(CC) $(CC_OPS) -o wbmp2xpm $(SRC) $(LD_OPS)

clean:
	rm -f *.o wbmp2xpm *~

=== wmlc/Makefile ===
OBJS = wmlc.o

all: wmlc

re: clean all

.c.o:
	$(CC) $(CC_OPS) $(XML_CC_OPS) -c $*.c

wmlc: $(OBJS)
	$(CC) $(CC_OPS) $(XML_CC_OPS) -o wmlc $(OBJS) $(LD_OPS) $(XML_LD_OPS)

clean:
	rm -f $(OBJS) wmlc core *~

=== wmld/Makefile ===
OBJS = wmld.o

all: wmld

re: clean all

.c.o:
	$(CC) $(CC_OPS) -c $*.c

wmld: $(OBJS)
	$(CC) $(CC_OPS) -o wmld $(OBJS)

clean:
	rm -f $(OBJS) wmld core *~

=== wmlhtml/Makefile ===
OBJS = wmlhtml.o

all: wmlhtml

re: clean all

.c.o:
	$(CC) $(CC_OPS) $(XML_CC_OPS) -c $*.c

wmlhtml: $(OBJS)
	$(CC) $(CC_OPS) $(XML_CC_OPS) -o wmlhtml $(OBJS) $(LD_OPS) $(XML_LD_OPS)

clean:
	rm -f $(OBJS) wmlhtml core *~

=== wmlv/Makefile ===
OBJS = wmlv.o

all: wmlv

re: clean all

.c.o:
	$(CC) $(CC_OPS) $(XML_CC_OPS) -c $*.c

wmlv: $(OBJS)
	$(CC) $(CC_OPS) $(XML_CC_OPS) -o wmlv $(OBJS) $(LD_OPS) $(XML_LD_OPS)

clean:
	rm -f $(OBJS) wmlv core *~

=== debian/changelog ===
wap-wml-tools (0.0.4-7) unstable; urgency=low

  * Switch to source format "3.0 (quilt)"
    + Drop build-dependency on quilt.
    + Drop all quilt traces from debian/rules
    + Remove debian/README.source
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
  * Pass hardening build flags to configure
  * Revamp debian/rules
    + Use dh_auto_{build,clean}
    + Clean up Makefile via debian/clean
    + Remove redundant dh_installchangelogs parameter
    + Remove manual debian/tmp handling
    + Finally switch to dh7 style debian/rules file
  * Bump Standards-Version to 3.9.4 (no changes)
  * Apply wrap-and-sort (except for debian/install)

 -- Axel Beckert <abe@debian.org>  Sun, 09 Jun 2013 01:33:16 +0200

wap-wml-tools (0.0.4-6) unstable; urgency=low

  * Moved all source code patches from diff.gz to quilt patches
    - Adjusted build dependencies
    - Adjusted debian/rules
  * Moved Debian provided man pages from manpages to debian/man
    - Adjusted debian/manpages.
  * Changed my e-mail address to my debian.org address
  * Bumped Standards-Version to 3.8.4 and debhelper compatibility to 7.
    - Updated debian/copyright so it explicitly states that this non-free
      package is not part of Debian (Policy version 3.8.0.0, section 12.5)
    - Added a Homepage field
    - Replaced dh_clean -k by dh_prep
  * Fixed FTBFS when /tmp is mounted noexec (now uses debian/tmp instead)
  * Fixed "Debian/GNU" spelling error in man pages (Thanks Lintian!)
  * Fixed error missing-separator-between-items found by Lintian
  * Added Copyright years to debian/copyright.
  * Added everything necessary in debian/control and debian/copyright to
    autobuild this package on the non-free buildds (according to
    http://lists.debian.org/debian-devel-announce/2006/11/msg00012.html)
  * Added Vcs-* header
  * Added a watch file

 -- Axel Beckert <abe@debian.org>  Sun, 31 Jan 2010 21:44:41 +0100

wap-wml-tools (0.0.4-5) unstable; urgency=low

  * More robust RDF parser, also groks simple RSS now (Closes: #308113)

 -- Axel Beckert <abe@deuxchevaux.org>  Mon,  6 Nov 2006 00:28:13 +0100

wap-wml-tools (0.0.4-4) unstable; urgency=low

  * New Maintainer (Closes: #354502)
  * Bumps Standards version to 3.7.2
  * Mentioning that upstream seems to have dropped the software in the
    copyright file

 -- Axel Beckert <abe@deuxchevaux.org>  Sun,  5 Nov 2006 20:41:15 +0100

wap-wml-tools (0.0.4-3) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#354502); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * Move /usr/share/doc/wap-wml-tools/samples to .../examples.
  * debian/changelog: Remove obsolete Emacs local variables.
  * debian/rules: Remove Makefile on clean.

 -- Matej Vela <vela@debian.org>  Tue, 14 Mar 2006 10:17:04 +0100

wap-wml-tools (0.0.4-2) unstable; urgency=low

  * Added Build-Depends: debhelper, libxml2-dev (Closes: Bug#263359)
  * Added test for TMPDIR variable in configure script
  * Created simple man pages from README files and binary usage instructions
  * Updated Standards-version to 3.6.2
  * Created debian/compat (V4)
  * Versioned Build-Depends on debhelper >= 4
  * Removed dh_suidregister from rules file
  * Switched to dh_installman instead of dh_installmanpages
  * Added ${misc:Depends} to Depends field in control file
  * Revised package description
  * Applied patch from Florian Steinel <winebug@flonet.net> which converts
    wap-wml-tools to libxml2 (Closes: Bug#276982)
  * Small addition to Florian's patch: now we use xml2-config instead of
    xml-config in configure script so that proper link options are generated

 -- Fernando Sanchez <fer@debian.org>  Sun,  3 Jul 2005 13:17:27 +0200

wap-wml-tools (0.0.4-1) unstable; urgency=low

  * Initial Release.

 -- Fernando Sanchez <fer@debian.org>  Sun, 27 Feb 2000 13:18:49 +0100

=== debian/control ===
Source: wap-wml-tools
Section: non-free/web
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               libxml2-dev
Standards-Version: 3.9.4
Homepage: http://maintained.by.noone.org/wml-tools/
XS-Autobuild: yes
Vcs-Browser: http://git.noone.org/?p=wap-wml-tools-debian.git
Vcs-Git: http://git.noone.org/wap-wml-tools-debian.git

Package: wap-wml-tools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Wireless Markup Language development and test tools
 wml-tools is a suite of small programs designed to help in the
 construction of WAP WML decks. The suite currently comprises:
     * wmlc - a WML bytecode compiler
     * wmld - a WML bytecode decompiler
     * wmlv - a very simple text-based WML deck viewer
     * wbmp2xpm - a WBMP to XPM converter
     * wmlhtml - a simple WML deck to HTML converter
     * rdfwml - an RDF channel to WML deck converter

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	./configure --cc-flags "$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

=== debian/watch ===
version=3
http://maintained.by.noone.org/wml-tools/ wml-tools-(.+)\.t(?:ar\.)?gz
